This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 978339 - ImageMagick multilib fix for aarch64
ImageMagick multilib fix for aarch64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 07:56 EDT by Mark Salter
Modified: 2013-07-04 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 06:04:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-06-26 07:56:33 EDT
Description of problem:
ImageMagick needs aarch64 added to list of 64bit arches:

diff --git a/ImageMagick.spec b/ImageMagick.spec
index 2b6e15d..0309c88 100644
--- a/ImageMagick.spec
+++ b/ImageMagick.spec
@@ -192,7 +192,7 @@ if [ -z perl-pkg-files ] ; then
 fi
 
 # fix multilib issues
-%ifarch x86_64 s390x ia64 ppc64 alpha sparc64
+%ifarch x86_64 s390x ia64 ppc64 alpha sparc64 aarch64
 %define wordsize 64
 %else
 %define wordsize 32


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Pavel Alexeev 2013-07-03 06:04:09 EDT
It done in rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=5568771

Do you want push update in Fedora 19 also?
Comment 2 Mark Salter 2013-07-04 22:44:49 EDT
No. Not necessary at this point. Thanks.

Note You need to log in before you can comment on or make changes to this bug.